<html devsite><head>
    <title>Бюллетень по безопасности Android – октябрь 2016 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 3 октября 2016 г. | Обновлено 4 октября 2016 г.</em>
</p>
<p>
В этом бюллетене содержится информация об уязвимостях в защите устройств Android. К его выходу мы выпустили автоматическое обновление системы безопасности для устройств Nexus и опубликовали образы встроенного ПО Nexus на <a href="https://developers.google.com/android/nexus/images">сайте для разработчиков</a>. Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 5 октября 2016 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">Справочном центре</a>. На поддерживаемые устройства Nexus будет установлено единое автоматическое обновление системы безопасности от 5 октября 2016 года.
</p>
<p>
Мы сообщили партнерам об уязвимостях 6 сентября 2016 года или ранее.  Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP). В этом бюллетене также приведены ссылки на исправления вне AOSP.
</p>
<p>
Наиболее серьезные из уязвимостей имеют критический уровень и позволяют удаленно выполнять код в контексте ядра, из-за чего нарушается работа системы безопасности. Возможно, для устранения таких проблем потребуется переустановить ОС. <a href="/security/overview/updates-resources.html#severity">Уровень серьезности</a> зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.
</p>
<p>
У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе <a href="#mitigations">Предотвращение атак</a> описывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например <a href="https://developer.android.com/training/safetynet/index.html">SafetyNet</a>, помогают снизить вероятность атак на Android.
</p>
<p>
Мы рекомендуем всем пользователям установить перечисленные здесь обновления.
</p>
<h2 id="announcements">Объявления</h2>
<ul>
  <li>Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Дополнительную информацию вы найдете в разделе <a href="#common-questions-and-answers">Часто задаваемые вопросы</a>.
    <ul>
       <li><strong>2016-10-01</strong>: частичное обновление системы безопасности, в котором исправлены все уязвимости уровня 2016-10-01 и более ранние.</li>
       <li><strong>2016-10-05</strong>: полное обновление системы безопасности, в котором исправлены все уязвимости уровней 2016-10-01 и 2016-10-05, а также более ранние.</li>
    </ul>
  </li>
  <li>На поддерживаемые устройства Nexus будет установлено единое автоматическое обновление системы безопасности от 5 октября 2016 года.</li>
</ul>

<h2 id="mitigations">Предотвращение атак</h2>
<p>
Ниже рассказывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например SafetyNet, позволяют снизить вероятность атак на Android.
</p>
<ul>
  <li>В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.</li>
  <li>Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">Проверки приложений и SafetyNet</a>. Эти сервисы предупреждают пользователя об установке <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">потенциально опасных приложений</a>. Проверка приложений включена по умолчанию на всех устройствах с <a href="http://www.android.com/gms">мобильными сервисами Google</a>. Она особенно важна, если пользователь устанавливает ПО из сторонних источников. Хотя в Google Play инструменты для рутинга запрещены, они могут встречаться в других магазинах. Если пользователь решает установить такое приложение, Проверка предупреждает об этом. Кроме того, она пытается идентифицировать известное вредоносное ПО, использующее уязвимость для повышения привилегий, и блокировать его установку. Если подобное ПО уже есть на устройстве, система уведомит об этом пользователя и попытается удалить приложение.</li>
  <li>Приложения Google Hangouts и Messenger не передают медиафайлы таким процессам, как mediaserver, автоматически.</li>
</ul>
<h2 id="acknowledgements">Благодарности</h2>
<p>
Благодарим всех, кто помог обнаружить уязвимости:
</p>
<ul>
  <li>Андре Тейшейра Риззо: CVE-2016-3882.</li>
  <li>Андреа Биондо: CVE-2016-3921.</li>
  <li>Дэниел Микей из Copperhead Security: CVE-2016-3922.</li>
  <li><a href="https://github.com/google/syzkaller">Дмитрий Вьюков</a> из Google: CVE-2016-7117.</li>
  <li>dosomder: CVE-2016-3931.</li>
  <li>Экулар Сюй (徐健) из Trend Micro: CVE-2016-3920.</li>
  <li>Гэнцзя Чэнь (<a href="https://twitter.com/chengjia4574">@chengjia4574</a>) и <a href="http://weibo.com/jfpan">pjf</a> из IceSword Lab, Qihoo 360 Technology Co. Ltd.: CVE-2016-6690, CVE-2016-3901, CVE-2016-6672, CVE-2016-3940, CVE-2016-3935.</li>
  <li><a href="mailto:hzhan033@ucr.edu">Хан Чжан</a>, <a href="mailto:dshe002@ucr.edu">Дундун Шэ</a> и <a href="mailto:zhiyunq@cs.ucr.edu">Чжиюнь Цянь</a> из Калифорнийского университета в Риверсайде: CVE-2015-8950.</li>
  <li>Хао Чэнь из Alpha Team, Qihoo 360 Technology Co. Ltd.: CVE-2016-3860.</li>
  <li>Янн Хорн из Google Project Zero: CVE-2016-3900, CVE-2016-3885.</li>
  <li><a href="http://keybase.io/jasonrogena">Джейсон Роджена</a>: CVE-2016-3917.</li>
  <li>Цзяньцян Чжао (<a href="https://twitter.com/jianqiangzhao">@jianqiangzhao</a>) и <a href="http://weibo.com/jfpan">pjf</a> из IceSword Lab, Qihoo 360: CVE-2016-6688, CVE-2016-6677, CVE-2016-6673, CVE-2016-6687, CVE-2016-6686, CVE-2016-6681, CVE-2016-6682, CVE-2016-3930.</li>
  <li>Джошуа Дрейк (<a href="https://twitter.com/jduck">@jduck</a>): CVE-2016-3920.</li>
  <li>Мачей Шавловски из команды безопасности Google: CVE-2016-3905.</li>
  <li>Марк Бренд из Google Project Zero: CVE-2016-6689.</li>
  <li><a href="https://github.com/michalbednarski">Михал Беднарский</a>: CVE-2016-3914, CVE-2016-6674, CVE-2016-3911, CVE-2016-3912.</li>
  <li>Минцзянь Чжоу (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>), Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-3933, CVE-2016-3932.</li>
  <li>Nightwatch Cybersecurity Research (<a href="https://twitter.com/nightwatchcyber">@nightwatchcyber</a>): CVE-2016-5348.</li>
  <li>Рои Хэй из IBM Security X-Force: CVE-2016-6678.</li>
  <li>Самуэль Тан из Google: CVE-2016-3925.</li>
  <li><a href="mailto:sbauer@plzdonthack.me">Скотт Бауэр</a> (<a href="https://twitter.com/ScottyBauer1">@ScottyBauer1</a>): CVE-2016-3936, CVE-2016-3928, CVE-2016-3902, CVE-2016-3937, CVE-2016-6696.</li>
  <li>Севен Шэнь (<a href="https://twitter.com/lingtongshen">@lingtongshen</a>) из команды по изучению угроз для мобильных устройств Trend Micro: CVE-2016-6685, CVE-2016-6683, CVE-2016-6680, CVE-2016-6679, CVE-2016-3903, CVE-2016-6693, CVE-2016-6694, CVE-2016-6695.</li>
  <li><a href="mailto:vancouverdou@gmail.com">Вэнькэ Доу</a>, Минцзянь Чжоу (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>), Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-3909.</li>
  <li>Вэньлинь Ян и Гуан Гун (龚广) (<a href="https://twitter.com/oldfresher">@oldfresher</a>) из Alpha Team, Qihoo 360 Technology Co. Ltd.: CVE-2016-3918.</li>
  <li>Виш У (<a href="http://weibo.com/wishlinux">吴潍浠</a>) (<a href="https://twitter.com/wish_wu">@wish_wu</a>) из <a href="http://blog.trendmicro.com/trendlabs-security-intelligence/author/wishwu/">Trend Micro Inc.</a>: CVE-2016-3924, CVE-2016-3915, CVE-2016-3916, CVE-2016-3910.</li>
  <li>Юн Ши из команды Eagleye, SCC, Huawei: CVE-2016-3938.</li>
  <li>Чжаньпэн Чжао (行之) (<a href="https://twitter.com/0xr0ot">@0xr0ot</a>) из Security Research Lab, <a href="http://www.cmcm.com">Cheetah Mobile</a>: CVE-2016-3908.</li>
</ul>

<h2 id="2016-10-01-details">Описание уязвимостей (обновление системы безопасности 2016-10-01)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2016-10-01: описание и обоснование серьезности, таблицу с CVE, ссылками, уровнем серьезности, уязвимыми устройствами Nexus и версиями AOSP (при наличии), а также датой сообщения об ошибке. Где возможно, мы приведем основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>
<h3 id="eopv-in-servicemanager">Повышение привилегий через ServiceManager</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО регистрировать произвольные
сервисы от имени привилегированного процесса, такого как system_server. Уязвимости присвоен высокий уровень серьезности из-за возможности подмены сервисов.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3900</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/d3c6ce463ac91ecbeb2128beb475d31d3ca6ef42">A-29431260</a> [<a href="https://android.googlesource.com/platform/frameworks/native/+/047eec456943dc082e33220d28abb7df4e089f69">2</a>]
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>15 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-lock-settings-service">Повышение привилегий через сервис настройки блокировки</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО удалять PIN-код или пароль устройства. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно обойти обязательные требования к взаимодействию с пользователем и изменению настроек безопасности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3908</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/96daf7d4893f614714761af2d53dfb93214a32e4">A-30003944</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1, 7.0</td>
   <td>6 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-mediaserver">Повышение привилегий через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3909</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/d4271b792bdad85a80e2b83ab34c4b30b74f53ec">A-30033990</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/c48ef757cc50906e8726a3bebc3b60716292cdba">2</a>]
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>8 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3910</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/035cb12f392860113dce96116a5150e2fde6f0cc">A-30148546</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>13 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3913</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/0c3b93c8c2027e74af642967eee5c142c8fd185d">A-30204103</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>18 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-zygote-process">Повышение привилегий через процесс Zygote</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно получить разрешения, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3911</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/2c7008421cb67f5d89f16911bdbe36f6c35311ad">A-30143607</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>12 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-framework-apis">Повышение привилегий через Framework API</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3912</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/6c049120c2d749f0c0289d822ec7d0aa692f55c5">A-30202481</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>17 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-telephony">Повышение привилегий через поставщик телефонной связи</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3914</td>
   <td><a href="https://android.googlesource.com/platform/packages/providers/TelephonyProvider/+/3a3a5d145d380deef2d5b7c3150864cd04be397f">A-30481342</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>28 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-camera-service">Повышение привилегий через сервис камеры</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3915</td>
   <td><a href="https://android.googlesource.com/platform/system/media/+/e9e44f797742f52996ebf307740dad58c28fd9b5">A-30591838</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>1 августа 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3916</td>
   <td><a href="https://android.googlesource.com/platform/system/media/+/8e7a2b4d13bff03973dbad2bfb88a04296140433">A-30741779</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>2 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-fingerprint-login">Повышение привилегий при входе по отпечатку пальца</h3>
<p>
Уязвимость позволяет злоумышленнику, в руки которого попало устройство, выполнить вход на устройство, используя другой аккаунт. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно обойти блокировку экрана.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3917</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/f5334952131afa835dd3f08601fb3bced7b781cd">A-30744668</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0.1, 7.0</td>
   <td>5 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-aosp-mail">Раскрытие информации через почтовый клиент AOSP</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО обходить защиту ОС, обеспечивающую раздельное хранение данных приложений. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно получить несанкционированный доступ к информации.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3918</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Email/+/6b2b0bd7c771c698f11d7be89c2c57c8722c7454">A-30745403</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>5 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="dosv-in-wi-fi">Отказ в обслуживании в Wi-Fi</h3>
<p>
Уязвимость вызывает перезагрузку устройства, находящегося в зоне действия специально созданной точки доступа. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к временному отказу в обслуживании.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="19%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3882</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/net/wifi/+/35a86eef3c0eef760f7e61c52a343327ba601630">A-29464811</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1, 7.0</td>
   <td>17 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="dosv-in-gps">Отказ в обслуживании в GPS</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять перезагрузку или вызывать зависание устройства. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к временному отказу в обслуживании.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-5348</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/218b813d5bc2d7d3952ea1861c38b4aa944ac59b">A-29555864</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>20 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="dosv-in-mediaserver">Отказ в обслуживании в mediaserver</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять перезагрузку или вызывать зависание устройства с помощью специально созданного файла. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к отказу в обслуживании.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3920</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/6d0249be2275fd4086783f259f4e2c54722a7c55">A-30744884</a>
   </td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>5 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-framework-listener">Повышение привилегий через Framework Listener</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="18%" />
  <col width="20%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3921</td>
   <td><a href="https://android.googlesource.com/platform/system/core/+/771ab014c24a682b32990da08e87e2f0ab765bd2">A-29831647</a>
   </td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>25 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-telephony-2">Повышение привилегий через поставщик телефонной связи</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="19%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3922</td>
   <td><a href="https://android.googlesource.com/platform/hardware/ril/+/95610818918f6f11fe7d23aca1380e6c0fac2af0">A-30202619</a>
   </td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1, 7.0</td>
   <td>17 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-accessibility-services">Повышение привилегий через сервис специальных возможностей</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО создавать события касаний экрана. Из-за этого можно получать разрешения в диалоговых окнах без явного согласия пользователя. Проблеме присвоен средний уровень серьезности, поскольку из-за нее можно обойти требования к взаимодействию с пользователем (связанные с получением доступа к функциям, которые обычно должны быть разрешены или запущены пользователем).
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="18%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3923</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/5f256310187b4ff2f13a7abb9afed9126facd7bc">A-30647115</a>
   </td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>7.0</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-mediaserver">Раскрытие информации через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="18%" />
  <col width="20%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3924</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c894aa36be535886a8e5ff02cdbcd07dd24618f6">A-30204301</a>
   </td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0</td>
   <td>18 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="dosv-in-wi-fi-2">Отказ в обслуживании в Wi-Fi</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО отключать функцию звонков по Wi-Fi. Проблеме присвоен средний уровень серьезности, поскольку она приводит к отказу в работе некоторых функций.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="19%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3925</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/net/wifi/+/c2905409c20c8692d4396b8531b09e7ec81fa3fb">A-30230534</a>
   </td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1, 7.0</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<h2 id="2016-10-05-details">Описание уязвимостей (обновление системы безопасности 2016-10-05)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2016-10-05: описание и обоснование серьезности, таблицу с CVE, ссылками, уровнем серьезности, уязвимыми устройствами Nexus и версиями AOSP (при наличии), а также датой сообщения об ошибке. Где возможно, мы приведем основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>
<h3 id="remote-code-execution-vulnerability-in-kernel-asn-1-decoder">Удаленное выполнение кода через декодер ASN.1 ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-0758</td>
   <td>A-29814470<br />
      <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=23c8a812dc3c621009e4f0e5342aa4e2ede1ceaa">
      Upstream kernel</a></td>
   <td>Критический</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>12 мая 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="remote-code-execution-vulnerability-in-kernel-networking-subsystem">Удаленное выполнение кода через сетевую подсистему ядра</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-7117</td>
   <td>A-30515201<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=34b88a68f26a75e4fded796f1a49c40f82234b7d">Upstream kernel</a></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-mediatek-video-driver">Повышение привилегий через видеодрайвер MediaTek</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3928</td>
   <td>A-30019362*<br />
       M-ALPS02829384</td>
   <td>Критический</td>
   <td>Нет</td>
   <td>6 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-kernel-shared-memory-driver">Повышение привилегий через драйвер разделения памяти ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-5340</td>
   <td>A-30652312<br />
      <a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=06e51489061e5473b4e2035c79dcf7c27a6f75a6">QC-CR#1008948</a></td>
   <td>Критический</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>26 июля 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="vulnerabilities-in-qc-components">
Уязвимости в компонентах Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости системы безопасности, затрагивающие компоненты Qualcomm, которые детально описаны в бюллетенях по безопасности Qualcomm AMSS за март и апрель 2016 года.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="23%" />
  <col width="21%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3926</td>
   <td>A-28823953*</td>
   <td>Критический</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P</td>
   <td>Доступно только сотрудникам Qualcomm</td>
  </tr>
  <tr>
   <td>CVE-2016-3927</td>
   <td>A-28823244*</td>
   <td>Критический</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>Доступно только сотрудникам Qualcomm</td>
  </tr>
  <tr>
   <td>CVE-2016-3929</td>
   <td>A-28823675*</td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>Доступно только сотрудникам Qualcomm</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qualcomm-networking-component">Повышение привилегий через сетевой компонент Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-2059</td>
   <td>A-27045580<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=9e8bdd63f7011dff5523ea435433834b3702398d">QC-CR#974577</a></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>4 февраля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-nvidia-mmc-test-driver">Повышение привилегий через драйвер NVIDIA для тестирования MMC</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3930</td>
   <td>A-28760138*<br />
       N-CVE-2016-3930</td>
   <td>Высокий</td>
   <td>Nexus 9</td>
   <td>12 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qsee-communicator-driver">Повышение привилегий через драйвер Qualcomm для QSEE Communicator</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3931</td>
   <td>A-29157595<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=e80b88323f9ff0bb0e545f209eec08ec56fca816">QC-CR#1036418</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>4 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-mediaserver-2">Повышение привилегий через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3932</td>
   <td>A-29161895<br />
       M-ALPS02770870</td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>6 июня 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3933</td>
   <td>A-29421408*<br />
       N-CVE-2016-3933</td>
   <td>Высокий</td>
   <td>Nexus 9, Pixel C</td>
   <td>14 июня 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qualcomm-camera-driver">Повышение привилегий через драйвер Qualcomm для камеры</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3903</td>
   <td>A-29513227<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=b8874573428e8ce024f57c6242d662fcca5e5d55">QC-CR#1040857</a></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>20 июня 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3934</td>
   <td>A-30102557<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=27fbeb6b025d5d46ccb0497cbed4c6e78ed1c5cc">QC-CR#789704</a></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>12 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-qualcomm-sound-driver">Повышение привилегий через аудиодрайвер Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-8951</td>
   <td>A-30142668<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?h=APSS.FSM.3.0&id=ccff36b07bfc49efc77b9f1b55ed2bf0900b1d5b">QC-CR#948902</a><br />
      QC-CR#948902</td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6P, Android One</td>
   <td>20 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-qualcomm-crypto-engine-driver">Повышение привилегий через драйвер шифрования Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3901</td>
   <td>A-29999161<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=5f69ccf3b011c1d14a1b1b00dbaacf74307c9132">QC-CR#1046434</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>6 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3935</td>
   <td>A-29999665<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=5f69ccf3b011c1d14a1b1b00dbaacf74307c9132">QC-CR#1046507</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>6 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-mediatek-video-driver-2">Повышение привилегий через видеодрайвер MediaTek</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3936</td>
   <td>A-30019037*<br />
       M-ALPS02829568</td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>6 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3937</td>
   <td>A-30030994*<br />
       M-ALPS02834874</td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>7 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qualcomm-video-driver">Повышение привилегий через видеодрайвер Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3938</td>
   <td>A-30019716<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=467c81f9736b1ebc8d4ba70f9221bba02425ca10">QC-CR#1049232</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>7 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3939</td>
   <td>A-30874196<br />
      <a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=e0bb18771d6ca71db2c2a61226827059be3fa424">QC-CR#1001224</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Android One</td>
   <td>15 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-synaptics-touchscreen-driver">Повышение привилегий через драйвер сенсорного экрана Synaptics</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3940</td>
   <td>A-30141991*</td>
   <td>Высокий</td>
   <td>Nexus 6P, Android One</td>
   <td>12 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6672</td>
   <td>A-30537088*</td>
   <td>Высокий</td>
   <td>Nexus 5X</td>
   <td>31 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-nvidia-camera-driver">Повышение привилегий через драйвер NVIDIA для камеры</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6673</td>
   <td>A-30204201*<br />
       N-CVE-2016-6673</td>
   <td>Высокий</td>
   <td>Nexus 9</td>
   <td>17 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-system_server">Повышение привилегий через system_server</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6674</td>
   <td>A-30445380*</td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>26 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qualcomm-wi-fi-driver">Повышение привилегий через Wi-Fi-драйвер Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3905</td>
   <td>A-28061823<br />
      <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=b5112838eb91b71eded4b5ee37338535784e0aef">QC-CR#1001449</a></td>
   <td>Высокий</td>
   <td>Nexus 5X</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
  <tr>
   <td>CVE-2016-6675</td>
   <td>A-30873776<br />
      <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=1353fa0bd0c78427f3ae7d9bde7daeb75bd01d09">QC-CR#1000861</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Android One</td>
   <td>15 августа 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6676</td>
   <td>A-30874066<br />
      <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=6ba9136879232442a182996427e5c88e5a7512a8">QC-CR#1000853</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Android One</td>
   <td>15 августа 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-5342</td>
   <td>A-30878283<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=579e796cb089324c55e0e689a180575ba81b23d9">QC-CR#1032174</a></td>
   <td>Высокий</td>
   <td>Android One</td>
   <td>15 августа 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="eopv-in-kernel-performance-subsystem">Повышение привилегий через подсистему производительности ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-8955</td>
   <td>A-29508816<br />
      <a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=8fff105e13041e49b82f92eef034f363a6b1c071">Upstream kernel</a></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6P, Pixel C, Android One</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-kernel-ion-subsystem">Раскрытие информации через подсистему ION ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным.
Из-за этого проблеме присвоен высокий уровень серьезности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-8950</td>
   <td>A-29795245<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=6e2c437a2d0a85d90d3db85a7471f99764f7bbf8">QC-CR#1041735</a></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P</td>
   <td>12 мая 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-nvidia-gpu-driver">Раскрытие информации через драйвер NVIDIA для графического процессора</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным.
Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6677</td>
   <td>A-30259955*<br />
       N-CVE-2016-6677</td>
   <td>Высокий</td>
   <td>Nexus 9</td>
   <td>19 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="eopv-in-qualcomm-character-driver">Повышение привилегий через символьный драйвер Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса, а уязвимый код в текущий момент недоступен.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-0572</td>
   <td>A-29156684<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=34ad3d34fbff11b8e1210b9da0dac937fb956b61">QC-CR#848489</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>28 мая 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-qualcomm-sound-driver">Раскрытие информации через аудиодрайвер Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3860</td>
   <td>A-29323142<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/diff/sound/soc/msm/qdsp6v2/audio_calibration.c?id=528976f54be246ec93a71ac53aa4faf3e3791c48">QC-CR#1038127</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6P, Android One</td>
   <td>13 июня 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="information-disclosure-vulnerability-in-motorola-usbnet-driver">Раскрытие информации через драйвер Motorola для USBNet</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6678</td>
   <td>A-29914434*</td>
   <td>Средний</td>
   <td>Nexus 6</td>
   <td>30 июня 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="information-disclosure-vulnerability-in-qualcomm-components">Раскрытие информации через компоненты Qualcomm</h3>
<p>
Уязвимость в компонентах Qualcomm (в том числе аудиодрайвере, драйвере IPA и Wi-Fi-драйвере) позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6679</td>
   <td>A-29915601<br />
      <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/prima/commit/?id=d39345f0abc309959d831d09fcbf1619cc0ae0f5">QC-CR#1000913</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=f081695446679aa44baa0d00940ea18455eeb4c5">2</a>]</td>
   <td>Средний</td>
   <td>Nexus 5X, Android One</td>
   <td>30 июня 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3902</td>
   <td>A-29953313*<br />
      <a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=2fca425d781572393fbe51abe2e27a932d24a768">QC-CR#1044072</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>2 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6680</td>
   <td>A-29982678*<br />
      <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=2f2fa073b95d4700de88c0f7558b4a18c13ac552">QC-CR#1048052</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Android One</td>
   <td>3 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6681</td>
   <td>A-30152182<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=0950fbd39ff189497f1b6115825c210e3eeaf395">QC-CR#1049521</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6P, Android One</td>
   <td>14 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6682</td>
   <td>A-30152501<br />
      <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=0950fbd39ff189497f1b6115825c210e3eeaf395">QC-CR#1049615</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6P, Android One</td>
   <td>14 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="information-disclosure-vulnerability-in-kernel-components">Раскрытие информации через компоненты ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="18%" />
  <col width="10%" />
  <col width="25%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6683</td>
   <td>A-30143283*</td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>13 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6684</td>
   <td>A-30148243*</td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Nexus Player, Android One</td>
   <td>13 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8956</td>
   <td>A-30149612*</td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 6P, Android One</td>
   <td>14 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6685</td>
   <td>A-30402628*</td>
   <td>Средний</td>
   <td>Nexus 6P</td>
   <td>25 июля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="information-disclosure-vulnerability-in-nvidia-profiler">Раскрытие информации через профилировщик NVIDIA</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным.
Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6686</td>
   <td>A-30163101*<br />
       N-CVE-2016-6686</td>
   <td>Средний</td>
   <td>Nexus 9</td>
   <td>15 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6687</td>
   <td>A-30162222*<br />
       N-CVE-2016-6687</td>
   <td>Средний</td>
   <td>Nexus 9</td>
   <td>15 июля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6688</td>
   <td>A-30593080*<br />
       N-CVE-2016-6688</td>
   <td>Средний</td>
   <td>Nexus 9</td>
   <td>2 августа 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="information-disclosure-vulnerability-in-kernel">Раскрытие информации через ядро</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6689</td>
   <td>A-30768347*</td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>9 августа 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="dosv-in-kernel-networking-subsystem">Отказ в обслуживании в сетевой подсистеме ядра</h3>
<p>
Уязвимость позволяет злоумышленнику блокировать доступ к соединениям по TCP, а также вызывать временный отказ в обслуживании. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="18%" />
  <col width="10%" />
  <col width="25%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-5696</td>
   <td>A-30809774<br />
      <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=75ff39ccc1bd5d3c455b6822ab09e533c551f758">Upstream kernel</a></td>
   <td>Средний</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Nexus Player, Pixel C, Android One</td>
   <td>12 июля 2016 г.</td>
  </tr>
</tbody></table>
<h3 id="dosv-in-kernel-sound-driver">Отказ в обслуживании в аудиодрайвере ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять перезагрузку устройства. Ей присвоен низкий уровень серьезности, поскольку она приводит к временному отказу в обслуживании.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="18%" />
  <col width="10%" />
  <col width="25%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6690</td>
   <td>A-28838221*</td>
   <td>Низкий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus Player</td>
   <td>18 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<h3 id="vulnerabilities-in-qualcomm-components">Уязвимости в компонентах Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости, затрагивающие компоненты Qualcomm.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-6691</td>
   <td><a href="https://source.codeaurora.org/quic/la//platform/frameworks/opt/net/wifi/commit/?id=343f123c396b2a97fc7cce396cd5d99365cb9131">QC-CR#978452</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Июль 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6692</td>
   <td><a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=0f0e7047d39f9fb3a1a7f389918ff79cdb4a50b3">QC-CR#1004933</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6693</td>
   <td><a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=ac328eb631fa74a63d5d2583e6bfeeb5a7a2df65">QC-CR#1027585</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6694</td>
   <td><a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=961e38553aae8ba9b1af77c7a49acfbb7b0b6f62">QC-CR#1033525</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6695</td>
   <td><a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=c319c2b0926d1ea5edb4d0778d88bd3ce37c4b95">QC-CR#1033540</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-6696</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=c3c9341bfdf93606983f893a086cb33a487306e5">QC-CR#1041130</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-5344</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=64e15c36d6c1c57dc2d95a3f163bc830a469fc20">QC-CR#993650</a></td>
   <td>Средний</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-5343</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=6927e2e0af4dcac357be86ba563c9ae12354bb08">QC-CR#1010081</a></td>
   <td>Средний</td>
   <td>Нет</td>
   <td>Август 2016 г.</td>
  </tr>
</tbody></table>
<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.
</p>
<p>
<strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong>
</p>
<p>
В исправлении от 1 октября 2016 года устранены все проблемы, связанные с обновлением 2016-10-01. В исправлении от 5 октября 2016 года или более новом устранены все проблемы, связанные с обновлением 2016-10-05. Информацию о том, как узнать дату последнего обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705">Справочном центре</a>. Производители устройств, позволяющие установить эти обновления, должны присвоить им уровень [ro.build.version.security_patch]:[2016-10-01] или [ro.build.version.security_patch]:[2016-10-05].
</p>
<p>
<strong>2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?</strong>
</p>
<p>
Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.
</p>
<p>
На устройствах с установленным обновлением от 5 октября 2016 года или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.
</p>
<p>
На устройствах с установленным обновлением от 1 октября 2016 года должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках.
</p>
<p>
<strong>3. Как определить, на каких устройствах Nexus присутствует уязвимость?</strong>
</p>
<p>
В каждой таблице разделов с описанием уязвимостей <a href="#2016-10-01-details">2016-10-01</a> и <a href="#2016-10-05-details">2016-10-05</a> есть столбец <em>Обновленные устройства Nexus</em>. В нем указано, на каких устройствах присутствует уязвимость.
</p>
<ul>
  <li><strong>Все устройства.</strong> Проблема возникает на<em></em>
  следующих <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">поддерживаемых устройствах Nexus</a>: Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Android One, Nexus Player и Pixel C.</li>
  <li><strong>Некоторые устройства.</strong> <em></em>Перечислены устройства, на которых присутствует уязвимость.</li>
  <li><strong>Нет.</strong> Проблема не возникает ни на одном устройстве Nexus.<em></em></li>
</ul>
<p>
<strong>4. На что указывают записи в столбце "Ссылки"?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>

<h2 id="revisions">Версии</h2>
<ul>
  <li>3 октября 2016 года. Бюллетень опубликован.</li>
  <li>4 октября 2016 года. Добавлены ссылки на AOSP, обновлена атрибуция
      уязвимостей для CVE-2016-3920, CVE-2016-6693, CVE-2016-6694,
      CVE-2016-6695 и CVE-2016-6696.</li>
</ul>

</body></html>